Subject: Hillary Clinton's REVENGE On Trump Voters? UNCENSORED VIDEO

From: "HSI Alerts" <[email-masked]>
Date: Wed, 1 Feb 2017 13:30:46 -0800

Your email client does not support HTML, this email must be viewed in HTML mode.